%define anolis_release 5

# enable additional test
%bcond_without additional_test

Summary:        IPC-SysV: Interface to System V IPC
Name:           perl-IPC-SysV
Version:        2.09
Release:        %{anolis_release}%{?dist}

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IPC-SysV
Source0:        https://cpan.metacpan.org/authors/id/M/MH/MHX/IPC-SysV-%{version}.tar.gz

BuildRequires:  findutils gcc make perl-devel
BuildRequires:  perl-generators perl-interpreter perl(strict)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# requires for runtime:
BuildRequires:  perl(Carp) perl(Class::Struct) perl(Config)
BuildRequires:  perl(Exporter) perl(vars) perl(XSLoader)
# reuiqres for test:
BuildRequires:  perl(Test::More) >= 0.45 perl(warnings)

# requires for additional test:
%if %{with additional_test} && !%{defined perl_bootstrap}
BuildRequires:  perl(Pod::Coverage) >= 0.10 perl(Test::Pod) >= 0.95
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
%else
BuildRequires:  coreutils
%endif
Conflicts:      perl < 4:5.22.0-351

%description
Perl-IPC-SysV is a module in Perl that provides an interface to
the System V inter-process communication (IPC) facilities. These
facilities allow processes to communicate with each other, sharing
data and synchronization.

The module provides functions to create, attach, and detach shared
memory segments, message queues, and semaphore arrays. It also provides
functions for sending and receiving messages, accessing shared memory, and
manipulating semaphores.

The SysV-IPC contains three packages:
    IPC::Semaphore
    - Provides an object interface to using SysV IPC semaphores

    IPC::Msg
    - Provides an object interface to using SysV IPC messages

    IPC::SysV
    - Provides the constants required to use the system SysV IPC calls.

%package doc
Summary:        Documentation for perl-IPC-SysV
Group:          Documentation/HTML
Requires:       perl-IPC-SysV = %{version}-%{release}
BuildArch:      noarch

%description doc
This package contains documentation for perl-IPC-SysV.

%prep
%autosetup -n IPC-SysV-%{version}

%if %{without additional_test} || !%{defined perl_bootstrap}
# remove test file when additional test is disabled
rm t/pod*
sed '/^t\/pod/d' MANIFEST
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/IPC*
%{_mandir}/man3/*

%files doc
%doc TODO Changes README

%changelog
* Thu Apr 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 2.09-5
- optimize spec file

* Mon Feb 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.09-4
- Bump release to rebuild

* Sat Feb 04 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.09-3
- rebuild with perl_bootstrap disabled
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.09-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 2.09-1
- Initial build for Anolis V23
